"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.createModel = undefined;

var _action = require("./action");

var _reducer = require("./reducer");

var _effect = require("./effect");

var createModel = function createModel(m) {
    var name = m.name,
        state = m.state,
        reducer = m.reducer,
        effect = m.effect;

    (0, _action.addAction)(name, reducer, effect);
    (0, _reducer.addReducer)(name, state, reducer);
    (0, _effect.addEffect)(name, effect);
}; /**
    * Created by yuany on 2017/8/26.
    */

exports.createModel = createModel;