"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.reducers = exports.addReducer = undefined;

var _defineProperty2 = require("babel-runtime/helpers/defineProperty");

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _extends3 = require("babel-runtime/helpers/extends");

var _extends4 = _interopRequireDefault(_extends3);

var _util = require("./util");

var _reduxActions = require("redux-actions");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Created by yuany on 2017/8/26.
 */

var reducers = {};

var addReducer = function addReducer(modelName, state) {
    var reducer = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

    reducers[modelName] = reducers[modelName] || {};
    reducers[modelName] = (0, _reduxActions.handleActions)((0, _util.reduce)(reducer, function (prev, next) {
        return (0, _extends4.default)({}, prev, (0, _defineProperty3.default)({}, modelName + "/" + next, reducer[next]));
    }, {}), state);
};

exports.addReducer = addReducer;
exports.reducers = reducers;