/**
 * Created by yuany on 2017/8/27.
 */


import {createModel , actions} from "dingdang";


createModel({
    name: 'counter',
    state:{
        count: 0,
        name: '李四'
    },
    selector:{

    },
    reducer: {
        increment: function (state) {
            return {...state, count: state.count + 1}
        },
        decrement: function (state) {
            return {...state, count: state.count - 1}
        }
    },
    effect: {
        async incrementAsync(state, action, dispatch){
            await new Promise((resolve) => {
                setTimeout(() => resolve(), 3000)
            })
            dispatch(actions.counter.increment())
        }
    }
})