/**
 * Created by yuany on 2017/8/26.
 */


import {addAction} from "./action";
import {addReducer} from "./reducer";
import {addEffect} from "./effect";

const createModel = (m) => {
    const {name, state, reducer, effect} = m
    addAction(name, reducer, effect)
    addReducer(name, state, reducer)
    addEffect(name, effect)
}

export {
    createModel
}