/**
 * Created by yuany on 2017/8/26.
 */

import {effects} from "./effect";

const asyncMiddleware = ({dispatch, getState}) => (next) => (action) => {
    const result = next(action);

    let effectResult
    if (typeof effects[action.type] == 'function') {
        effectResult = effects[action.type](getState, action , dispatch)
    }

    return effectResult || result
}


export {
    asyncMiddleware
}