/**
 * Created by yuany on 2017/8/26.
 */


import {applyMiddleware, combineReducers, createStore as _createStore} from "redux";
import {reducers} from "./reducer";
import {asyncMiddleware} from "./middleware";
import {options} from "./createConfiguration";

const createStore = () =>
    _createStore(
        combineReducers(
            reducers
        ), options.initialState, applyMiddleware(asyncMiddleware,...options.middleware)
    )

export {
    createStore
}