"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.actions = exports.addAction = undefined;

var _util = require("./util");

var _reduxActions = require("redux-actions");

/**
 * Created by yuany on 2017/8/26.
 */

var actions = {};

var addAction = function addAction(modelName) {
    var reducer = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    var effect = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};


    actions[modelName] = actions[modelName] || {};

    (0, _util.each)(reducer, function (reducerName) {
        return actions[modelName][reducerName] = (0, _reduxActions.createAction)(modelName + "/" + reducerName);
    });

    (0, _util.each)(effect, function (effectName) {
        return actions[modelName][effectName] = (0, _reduxActions.createAction)(modelName + "/" + effectName);
    });
};

exports.addAction = addAction;
exports.actions = actions;