'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.render = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactRedux = require('react-redux');

var _store = require('./store');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Created by yuany on 2017/8/26.
 */

var render = function render(component, container, callback) {

    var Root = function Root() {
        return _react2.default.createElement(
            _reactRedux.Provider,
            { store: (0, _store.createStore)() },
            component
        );
    };

    (0, _reactDom.render)(_react2.default.createElement(Root, null), container, callback);
};

exports.render = render;