"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.createStore = undefined;

var _toConsumableArray2 = require("babel-runtime/helpers/toConsumableArray");

var _toConsumableArray3 = _interopRequireDefault(_toConsumableArray2);

var _redux = require("redux");

var _reducer = require("./reducer");

var _middleware = require("./middleware");

var _createConfiguration = require("./createConfiguration");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Created by yuany on 2017/8/26.
 */

var createStore = function createStore() {
    return (0, _redux.createStore)((0, _redux.combineReducers)(_reducer.reducers), _createConfiguration.options.initialState, _redux.applyMiddleware.apply(undefined, [_middleware.asyncMiddleware].concat((0, _toConsumableArray3.default)(_createConfiguration.options.middleware))));
};

exports.createStore = createStore;