"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.noop = exports.reduce = exports.each = undefined;

var _keys = require("babel-runtime/core-js/object/keys");

var _keys2 = _interopRequireDefault(_keys);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Created by yuany on 2017/8/26.
 */

var keys = function keys(object) {
  return (0, _keys2.default)(object);
};

var each = function each(object, callback) {
  return keys(object).forEach(callback);
};

var reduce = function reduce(object, callback, init) {
  return keys(object).reduce(callback, init);
};

var noop = function noop() {};

exports.each = each;
exports.reduce = reduce;
exports.noop = noop;