/**
 * Created by yuany on 2017/8/27.
 */

import {actions , connect , React} from "dingdang";
import {createSelector} from "reselect";

const test = createSelector([
    (store) => {
        return store.counter.name
    }
], (name) => name + Math.random())

class App extends React.Component {


    static defaultProps = {
        testName: '自带的名字'
    }

    render() {

        console.log(this.props)

        const {count, test} = this.props;

        console.log(test)

        const {increment, decrement, incrementAsync} = actions.counter;

        return (
            <div>
                <h1>{count}-{test}</h1>
                <button onClick={() => this.props.dispatch(decrement()) }>-</button>
                <button onClick={() => this.props.dispatch(increment()) }>+</button>
                <button onClick={() => this.props.dispatch(incrementAsync()) }>+async</button>
            </div>
        )
    }

}

export default connect(
    (store) => {
        return ({...store['counter'], test: test(store)})
    }
)(App)







