/**
 * Created by yuany on 2017/8/26.
 */

import {each} from "./util";
import {createAction} from "redux-actions";

let actions = {}

const addAction = (modelName, reducer = {}, effect = {}) => {

    actions[modelName] = actions[modelName] || {}

    each(reducer, (reducerName) => actions[modelName][reducerName] = createAction(`${modelName}/${reducerName}`))

    each(effect, (effectName) => actions[modelName][effectName] = createAction(`${modelName}/${effectName}`))

}


export {
    addAction, actions
}