/**
 * Created by yuany on 2017/8/26.
 */


import {reduce} from "./util";
import {handleActions} from "redux-actions";

let reducers = {}

const addReducer = (modelName, state, reducer = {}) => {
    reducers[modelName] = reducers[modelName] || {}
    reducers[modelName] = handleActions(
        reduce(reducer, (prev, next) => ({...prev, [`${modelName}/${next}`]: reducer[next]}), {}),
        state
    )
}

export {
    addReducer, reducers
}