/**
 * Created by yuany on 2017/8/26.
 */


import React from 'react'
import { render as _render } from 'react-dom'
import { Provider } from 'react-redux'
import { createStore } from './store'


const render = (component , container , callback) => {

    const Root = () => {
        return(
            <Provider store={createStore()}>
                {component}
            </Provider>
        )
    }

    _render(
        <Root/> , container , callback
    )

}


export {
    render
}