/**
 * Created by yuany on 2017/8/26.
 */

import {addAction} from "../src/action";

describe('the reducer function', () => {

    it('test add reducer', () => {

        const model = {
            name: 'test',
            state: {
                name: '张三'
            },
            reducer: {
                updateName: function (state, action) {
                    return {...state}
                },
                updateSex:function (state, action) {
                    return state
                }
            },
            effect: {
                queryUser: async function (state, action) {
                    await setTimeout(() => console.log("queryUserEffect"), 2000)
                }
            }
        }

        const {name, reducer, effect} = model
        addAction(name, reducer, effect)

    })

})