/**
 * Created by yuany on 2017/4/27.
 */



const UglifyJSPlugin = require('uglifyjs-webpack-plugin')
const path = require('path')

const _config = {
    entry: './src/index.js',
    output: {
        path: path.resolve(__dirname, 'dist'),
        filename: 'index.js'
    },
    module: {
        rules: [
            {
                test: /\.js$/,
                exclude: /(node_modules|bower_components)/,
                use: [
                    {
                        loader: 'babel-loader'
                    }
                ]
            }
        ]
    },
    plugins: [
    ]
}

module.exports = _config;